<?php
namespace Ak\Woo\User\Form;

use Laminas\Form\Form;

/**
 * Obrazac za registraciju korisnika.
 *
 * @package Ak\Woo\User\Form
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-user
 */
class RegistrationForm extends Form
{
    /**
     * Inicijalizacija obrasca.
     */
    public function init()
    {
        $this->add([
            'name' => 'newsletter',
            'type' => Element\NewsletterSignupCheckbox::class,
        ]);

        $this->add([
            'name' => 'tos_accept',
            'type' => Element\TosAcceptCheckbox::class,
        ]);
    }
}
