<?php
namespace Ak\Woo\User\Validator;

use Ak\Validator\NotEmpty;

/**
 * Provjerava da li je korisnik prihvatio uvjete korištenja.
 *
 * @package Ak\Woo\User\Validator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-user
 */
class TosAccept extends NotEmpty
{
    /**
     * @var array
     */
    protected $messageTemplates = [];

    public function __construct($options = null)
    {
        $this->messageTemplates = [
            self::IS_EMPTY => __("Molimo prihvatite uvjete poslovanja!", 'woo-user'),
            self::INVALID  => "Invalid type given. String, integer, float, boolean or array expected",
        ];

        parent::__construct($options);
    }
}