<?php
namespace AkTest\Woo\User;

use Ak\Woo\User\ConfigProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

class TestConfigProvider
{
    public function __invoke()
    {
        return (new ConfigAggregator([
            \Ak\Form\ConfigProvider::class,
            \Ak\Gdpr\ConfigProvider::class,
            \Ak\Hydrator\ConfigProvider::class,
            \Ak\Mailchimp\ConfigProvider::class,
            \Ak\Orm\ConfigProvider::class,
            \Ak\View\ConfigProvider::class,
            \Ak\Wp\ConfigProvider::class,
            \Ak\Wp\Model\ConfigProvider::class,
            \Ak\Test\ConfigProvider::class,
            ConfigProvider::class,
        ]))->getMergedConfig();
    }
}
